Deletes the specified custom field definition.

DELETEhttps://api.awork.com/api/v1/customfielddefinitions/{customFieldDefinitionId}
DELETE https://api.awork.com/api/v1/customfielddefinitions/{customFieldDefinitionId}

Deletes the specified custom field definition, its selection options, its links, and all dependent task and task-template values.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

customFieldDefinitionIdstringRequired
format: uuid

The id of the custom field definition to delete.

Responses

204 No Content
404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation